package com.ruoyi.system.domain.system;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 角色和菜单关联 sys_role_menu
 * 
 * @author ruoyi
 */
public class SysRoleMenu
{
    private Long id;
    /** 角色ID */
    private Long roleId;
    
    /** 菜单ID */
    private Long menuId;

    private String foreignId;

    /**
     * 类型：人员/角色/组织
     */
    private String type;

    /**
     * APP/PC
     */
    private String workRange;

    public Long getRoleId()
    {
        return roleId;
    }

    public void setRoleId(Long roleId)
    {
        this.roleId = roleId;
    }

    public Long getMenuId()
    {
        return menuId;
    }

    public void setMenuId(Long menuId)
    {
        this.menuId = menuId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }


    public String getForeignId() {
        return foreignId;
    }

    public void setForeignId(String foreignId) {
        this.foreignId = foreignId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    public String getWorkRange() {
        return workRange;
    }

    public void setWorkRange(String workRange) {
        this.workRange = workRange;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("roleId", getRoleId())
            .append("id", getId())
            .append("foreignId", getForeignId())
            .append("type", getType())
            .append("menuId", getMenuId())
            .append("workRange", getWorkRange())
            .toString();
    }
}
